Summary:        Adaptive Entropy Coding library
Name:           libaec
Version:        1.0.6
Release:        2%{?dist}
License:        BSD
Url:            https://gitlab.dkrz.de/k202009/libaec
Source0:        https://gitlab.dkrz.de/k202009/libaec/-/archive/v%{version}/libaec-v%{version}.tar.gz

BuildRequires: gcc cmake >= 3.1

%description
Libaec provides fast loss-less compression of 1 up to 32 bit wide
signed or unsigned integers (samples). The library achieves best
results for low entropy data as often encountered in space imaging
instrument data or numerical model output from weather or climate
simulations. While floating point representations are not directly
supported, they can also be efficiently coded by grouping exponents
and mantissa.

%package devel
Summary:        Devel package for libaec (Adaptive Entropy Coding library)
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides devel files for libaec (Adaptive Entropy Coding library).

%prep
%autosetup -n %{name}-v%{version}

%build
%{cmake} -DBUILD_TESTING=ON
%cmake_build

%install
%cmake_install
rm %{buildroot}/%{_libdir}/lib*.a
mv %{buildroot}/%{_prefix}/cmake %{buildroot}/%{_libdir}

%check
%ctest


%files
%license LICENSE.txt doc/patent.txt
%doc README.md README.SZIP CHANGELOG.md
%{_bindir}/aec
%{_libdir}/lib*.so.*
%{_mandir}/man1/aec.*

%files devel
%{_includedir}/*.h
%{_libdir}/lib*.so
%{_libdir}/cmake/%{name}-*.cmake

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.6-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 cunshunxia <cunshunxia@tencent.com> - 1.0.6-1
- initial build
